diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
index 64dfe09cc..854d40132 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelDispatcher.java
@@ -6,7 +6,7 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.item.block.BlockItem;
+import net.minecraft.core.item.block.ItemBlock;
 
 public class ItemModelDispatcher extends Dispatcher<Item, ItemModel> {
     private static final ItemModelDispatcher instance = new ItemModelDispatcher();
@@ -32,210 +32,210 @@ public class ItemModelDispatcher extends Dispatcher<Item, ItemModel> {
     }
 
     private ItemModelDispatcher() {
-        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_IRON, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_IRON, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_AXE_IRON, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_FIRESTRIKER_IRON, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.FOOD_APPLE, "minecraft"));
-        addDispatch(new BowItemModel(Items.TOOL_BOW, "minecraft"));
-        addDispatch(new StandardItemModel(Items.AMMO_ARROW, "minecraft"));
-        addDispatch(new CoalItemModel(Items.COAL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.DIAMOND, "minecraft"));
-        addDispatch(new StandardItemModel(Items.INGOT_IRON, "minecraft"));
-        addDispatch(new StandardItemModel(Items.INGOT_GOLD, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.TOOL_SWORD_IRON, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_SWORD_WOOD, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_WOOD, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_WOOD, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_AXE_WOOD, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_SWORD_STONE, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_STONE, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_STONE, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_AXE_STONE, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_SWORD_DIAMOND, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_DIAMOND, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_DIAMOND, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_AXE_DIAMOND, "minecraft").setFull3D());
-
-        addDispatch(new StandardItemModel(Items.STICK, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.BOWL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_STEW_MUSHROOM, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.TOOL_SWORD_GOLD, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_GOLD, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_GOLD, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_AXE_GOLD, "minecraft").setFull3D());
-
-        addDispatch(new StandardItemModel(Items.STRING, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FEATHER_CHICKEN, "minecraft"));
-        addDispatch(new StandardItemModel(Items.SULPHUR, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.TOOL_HOE_WOOD, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_HOE_STONE, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_HOE_IRON, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_HOE_DIAMOND, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_HOE_GOLD, "minecraft").setFull3D());
-
-        addDispatch(new StandardItemModel(Items.SEEDS_WHEAT, "minecraft"));
-        addDispatch(new StandardItemModel(Items.WHEAT, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_BREAD, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_LEATHER, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_LEATHER, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_LEATHER, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_LEATHER, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_CHAINMAIL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_CHAINMAIL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_CHAINMAIL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_CHAINMAIL, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_IRON, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_IRON, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_IRON, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_IRON, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_DIAMOND, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_DIAMOND, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_DIAMOND, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_DIAMOND, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_GOLD, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_GOLD, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_GOLD, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_GOLD, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.FLINT, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_PORKCHOP_RAW, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_PORKCHOP_COOKED, "minecraft"));
-        addDispatch(new StandardItemModel(Items.PAINTING, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_APPLE_GOLD, "minecraft"));
-        addDispatch(new StandardItemModel(Items.SIGN, "minecraft"));
-        addDispatch(new StandardItemModel(Items.DOOR_OAK, "minecraft"));
-        addDispatch(new StandardItemModel(Items.DOOR_GLASS, "minecraft"));
-        addDispatch(new DoorPaintedItemModel(Items.DOOR_OAK_PAINTED));
-        addDispatch(new StandardItemModel(Items.BUCKET, "minecraft"));
-        addDispatch(new StandardItemModel(Items.BUCKET_WATER, "minecraft"));
-        addDispatch(new StandardItemModel(Items.BUCKET_LAVA, "minecraft").setFullBright());
-        addDispatch(new StandardItemModel(Items.MINECART, "minecraft"));
-        addDispatch(new StandardItemModel(Items.SADDLE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.DOOR_IRON, "minecraft"));
-        addDispatch(new StandardItemModel(Items.DUST_REDSTONE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.AMMO_SNOWBALL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.BOAT, "minecraft"));
-        addDispatch(new StandardItemModel(Items.LEATHER, "minecraft"));
-        addDispatch(new StandardItemModel(Items.BUCKET_MILK, "minecraft"));
-        addDispatch(new StandardItemModel(Items.BRICK_CLAY, "minecraft"));
-        addDispatch(new StandardItemModel(Items.CLAY, "minecraft"));
-        addDispatch(new StandardItemModel(Items.SUGARCANE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.PAPER, "minecraft"));
-        addDispatch(new StandardItemModel(Items.BOOK, "minecraft"));
-        addDispatch(new StandardItemModel(Items.SLIMEBALL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.MINECART_CHEST, "minecraft"));
-        addDispatch(new StandardItemModel(Items.MINECART_FURNACE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.EGG_CHICKEN, "minecraft"));
-        addDispatch(new StandardItemModel(Items.TOOL_COMPASS, "minecraft"));
-        addDispatch(new FishingRodItemModel(Items.TOOL_FISHINGROD, "minecraft").setFull3D().setRotateWhenRendering());
-        addDispatch(new StandardItemModel(Items.TOOL_CLOCK, "minecraft"));
-        addDispatch(new StandardItemModel(Items.DUST_GLOWSTONE, "minecraft").setFullBright());
-        addDispatch(new StandardItemModel(Items.FOOD_FISH_RAW, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_FISH_COOKED, "minecraft"));
-        addDispatch(new DyeItemModel(Items.DYE));
-        addDispatch(new StandardItemModel(Items.BONE, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.DUST_SUGAR, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_CAKE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_PUMPKIN_PIE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.BED, "minecraft"));
-        addDispatch(new StandardItemModel(Items.REPEATER, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_COOKIE, "minecraft"));
-        addDispatch(new MapItemModel(Items.MAP, "minecraft"));
-        addDispatch(new StandardItemModel(Items.TOOL_SHEARS, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.NETHERCOAL, "minecraft").setFullBright());
-
-        addDispatch(new StandardItemModel(Items.ARMOR_HELMET_STEEL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_CHESTPLATE_STEEL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_LEGGINGS_STEEL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_STEEL, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.TOOL_SWORD_STEEL, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_SHOVEL_STEEL, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_PICKAXE_STEEL, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_AXE_STEEL, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.TOOL_HOE_STEEL, "minecraft").setFull3D());
-
-        addDispatch(new StandardItemModel(Items.INGOT_STEEL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.INGOT_STEEL_CRUDE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.AMMO_FIREBALL, "minecraft").setFullBright());
-        addDispatch(new StandardItemModel(Items.ARMOR_QUIVER_GOLD, "minecraft"));
-        addDispatch(new StandardItemModel(Items.HANDCANNON_UNLOADED, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.CHAINLINK, "minecraft"));
-        addDispatch(new StandardItemModel(Items.CLOTH, "minecraft"));
-        addDispatch(new StandardItemModel(Items.AMMO_CHARGE_EXPLOSIVE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.HANDCANNON_LOADED, "minecraft").setFull3D().setFullBright());
-        addDispatch(new StandardItemModel(Items.AMMO_ARROW_GOLD, "minecraft"));
-        addDispatch(new QuiverItemModel(Items.ARMOR_QUIVER, "minecraft"));
-        addDispatch(new StandardItemModel(Items.TOOL_CALENDAR, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ORE_RAW_GOLD, "minecraft"));
-        addDispatch(new StandardItemModel(Items.ORE_RAW_IRON, "minecraft"));
-        addDispatch(new StandardItemModel(Items.QUARTZ, "minecraft"));
-        addDispatch(new StandardItemModel(Items.OLIVINE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.AMMO_PEBBLE, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FOOD_CHERRY, "minecraft"));
-        addDispatch(new StandardItemModel(Items.BUCKET_ICECREAM, "minecraft"));
-        addDispatch(new StandardItemModel(Items.AMMO_ARROW_PURPLE, "minecraft"));
-        addDispatch(new LabelItemModel(Items.LABEL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.JAR, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.LANTERN_FIREFLY_GREEN, "minecraft").setFullBright());
-        addDispatch(new StandardItemModel(Items.LANTERN_FIREFLY_BLUE, "minecraft").setFullBright());
-        addDispatch(new StandardItemModel(Items.LANTERN_FIREFLY_ORANGE, "minecraft").setFullBright());
-        addDispatch(new StandardItemModel(Items.LANTERN_FIREFLY_RED, "minecraft").setFullBright());
-
-        addDispatch(new StandardItemModel(Items.BASKET, "minecraft"));
-        addDispatch(new StandardItemModel(Items.FLAG, "minecraft").setFull3D());
-
-        addDispatch(new StandardItemModel(Items.ARMOR_BOOTS_ICESKATES, "minecraft"));
-        addDispatch(new StandardItemModel(Items.TOOL_SHEARS_STEEL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.TOOL_FIRESTRIKER_STEEL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.SEEDS_PUMPKIN, "minecraft"));
-        addDispatch(new StandardItemModel(Items.SEAT, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.ROPE, "minecraft"));
-
-        addDispatch(new StandardItemModel(Items.WAND_MONSTER_SPAWNER, "minecraft").setFull3D());
-        addDispatch(new StandardItemModel(Items.DOOR_STEEL, "minecraft"));
-        addDispatch(new PaintbrushItemModel(Items.PAINTBRUSH, "minecraft").setFull3D());
-
-        addDispatch(new StandardItemModel(Items.RECORD_13, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_CAT, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_BLOCKS, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_CHIRP, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_FAR, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_MALL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_MELLOHI, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_STAL, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_STRAD, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_WARD, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_WAIT, "minecraft"));
-        addDispatch(new StandardItemModel(Items.RECORD_DOG, "minecraft"));
-
-        addDispatch(new BlockItemModel((BlockItem) Blocks.TORCH_COAL.asItem()).setFullBright());
-        addDispatch(new BlockItemModel((BlockItem) Blocks.TORCH_REDSTONE_ACTIVE.asItem()).setFullBright());
-        addDispatch(new BlockItemModel((BlockItem) Blocks.GLOWSTONE.asItem()).setFullBright());
-        addDispatch(new BlockItemModel((BlockItem) Blocks.PUMPKIN_CARVED_ACTIVE.asItem()).setFullBright());
-        addDispatch(new BlockItemModel((BlockItem) Blocks.LAMP_ACTIVE.asItem()).setFullBright());
-        addDispatch(new BlockItemModel((BlockItem) Blocks.PORTAL_PARADISE.asItem()).setFullBright());
-        addDispatch(new BlockItemModel((BlockItem) Blocks.PORTAL_NETHER.asItem()).setFullBright());
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_IRON, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_IRON, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_IRON, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_FIRESTRIKER_IRON, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.FOOD_APPLE, "minecraft"));
+        addDispatch(new ItemModelBow(Items.TOOL_BOW, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.AMMO_ARROW, "minecraft"));
+        addDispatch(new ItemModelCoal(Items.COAL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.DIAMOND, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.INGOT_IRON, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.INGOT_GOLD, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_IRON, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_WOOD, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_WOOD, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_WOOD, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_WOOD, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_STONE, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_STONE, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_STONE, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_STONE, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_DIAMOND, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_DIAMOND, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_DIAMOND, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_DIAMOND, "minecraft").setFull3D());
+
+        addDispatch(new ItemModelStandard(Items.STICK, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.BOWL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_STEW_MUSHROOM, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_GOLD, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_GOLD, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_GOLD, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_GOLD, "minecraft").setFull3D());
+
+        addDispatch(new ItemModelStandard(Items.STRING, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FEATHER_CHICKEN, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.SULPHUR, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_WOOD, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_STONE, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_IRON, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_DIAMOND, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_GOLD, "minecraft").setFull3D());
+
+        addDispatch(new ItemModelStandard(Items.SEEDS_WHEAT, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.WHEAT, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_BREAD, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_LEATHER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_LEATHER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_LEATHER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_LEATHER, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_CHAINMAIL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_CHAINMAIL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_CHAINMAIL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_CHAINMAIL, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_IRON, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_IRON, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_IRON, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_IRON, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_DIAMOND, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_DIAMOND, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_DIAMOND, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_DIAMOND, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_GOLD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_GOLD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_GOLD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_GOLD, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.FLINT, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_PORKCHOP_RAW, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_PORKCHOP_COOKED, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.PAINTING, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_APPLE_GOLD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.SIGN, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.DOOR_OAK, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.DOOR_GLASS, "minecraft"));
+        addDispatch(new ItemModelDoorPainted(Items.DOOR_OAK_PAINTED));
+        addDispatch(new ItemModelStandard(Items.BUCKET, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BUCKET_WATER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BUCKET_LAVA, "minecraft").setFullBright());
+        addDispatch(new ItemModelStandard(Items.MINECART, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.SADDLE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.DOOR_IRON, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.DUST_REDSTONE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.AMMO_SNOWBALL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BOAT, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.LEATHER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BUCKET_MILK, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BRICK_CLAY, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.CLAY, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.SUGARCANE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.PAPER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BOOK, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.SLIMEBALL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.MINECART_CHEST, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.MINECART_FURNACE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.EGG_CHICKEN, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.TOOL_COMPASS, "minecraft"));
+        addDispatch(new ItemModelFishingRod(Items.TOOL_FISHINGROD, "minecraft").setFull3D().setRotateWhenRendering());
+        addDispatch(new ItemModelStandard(Items.TOOL_CLOCK, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.DUST_GLOWSTONE, "minecraft").setFullBright());
+        addDispatch(new ItemModelStandard(Items.FOOD_FISH_RAW, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_FISH_COOKED, "minecraft"));
+        addDispatch(new ItemModelDye(Items.DYE));
+        addDispatch(new ItemModelStandard(Items.BONE, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.DUST_SUGAR, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_CAKE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_PUMPKIN_PIE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BED, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.REPEATER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_COOKIE, "minecraft"));
+        addDispatch(new ItemModelMap(Items.MAP, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.TOOL_SHEARS, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.NETHERCOAL, "minecraft").setFullBright());
+
+        addDispatch(new ItemModelStandard(Items.ARMOR_HELMET_STEEL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_CHESTPLATE_STEEL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_LEGGINGS_STEEL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_STEEL, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.TOOL_SWORD_STEEL, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_SHOVEL_STEEL, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_PICKAXE_STEEL, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_AXE_STEEL, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.TOOL_HOE_STEEL, "minecraft").setFull3D());
+
+        addDispatch(new ItemModelStandard(Items.INGOT_STEEL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.INGOT_STEEL_CRUDE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.AMMO_FIREBALL, "minecraft").setFullBright());
+        addDispatch(new ItemModelStandard(Items.ARMOR_QUIVER_GOLD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.HANDCANNON_UNLOADED, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.CHAINLINK, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.CLOTH, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.AMMO_CHARGE_EXPLOSIVE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.HANDCANNON_LOADED, "minecraft").setFull3D().setFullBright());
+        addDispatch(new ItemModelStandard(Items.AMMO_ARROW_GOLD, "minecraft"));
+        addDispatch(new ItemModelQuiver(Items.ARMOR_QUIVER, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.TOOL_CALENDAR, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ORE_RAW_GOLD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.ORE_RAW_IRON, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.QUARTZ, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.OLIVINE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.AMMO_PEBBLE, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FOOD_CHERRY, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.BUCKET_ICECREAM, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.AMMO_ARROW_PURPLE, "minecraft"));
+        addDispatch(new ItemModelLabel(Items.LABEL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.JAR, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_GREEN, "minecraft").setFullBright());
+        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_BLUE, "minecraft").setFullBright());
+        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_ORANGE, "minecraft").setFullBright());
+        addDispatch(new ItemModelStandard(Items.LANTERN_FIREFLY_RED, "minecraft").setFullBright());
+
+        addDispatch(new ItemModelStandard(Items.BASKET, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.FLAG, "minecraft").setFull3D());
+
+        addDispatch(new ItemModelStandard(Items.ARMOR_BOOTS_ICESKATES, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.TOOL_SHEARS_STEEL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.TOOL_FIRESTRIKER_STEEL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.SEEDS_PUMPKIN, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.SEAT, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.ROPE, "minecraft"));
+
+        addDispatch(new ItemModelStandard(Items.WAND_MONSTER_SPAWNER, "minecraft").setFull3D());
+        addDispatch(new ItemModelStandard(Items.DOOR_STEEL, "minecraft"));
+        addDispatch(new ItemModelPaintbrush(Items.PAINTBRUSH, "minecraft").setFull3D());
+
+        addDispatch(new ItemModelStandard(Items.RECORD_13, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_CAT, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_BLOCKS, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_CHIRP, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_FAR, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_MALL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_MELLOHI, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_STAL, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_STRAD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_WARD, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_WAIT, "minecraft"));
+        addDispatch(new ItemModelStandard(Items.RECORD_DOG, "minecraft"));
+
+        addDispatch(new ItemModelBlock((ItemBlock) Blocks.TORCH_COAL.asItem()).setFullBright());
+        addDispatch(new ItemModelBlock((ItemBlock) Blocks.TORCH_REDSTONE_ACTIVE.asItem()).setFullBright());
+        addDispatch(new ItemModelBlock((ItemBlock) Blocks.GLOWSTONE.asItem()).setFullBright());
+        addDispatch(new ItemModelBlock((ItemBlock) Blocks.PUMPKIN_CARVED_ACTIVE.asItem()).setFullBright());
+        addDispatch(new ItemModelBlock((ItemBlock) Blocks.LAMP_ACTIVE.asItem()).setFullBright());
+        addDispatch(new ItemModelBlock((ItemBlock) Blocks.PORTAL_PARADISE.asItem()).setFullBright());
+        addDispatch(new ItemModelBlock((ItemBlock) Blocks.PORTAL_NETHER.asItem()).setFullBright());
 
         for (int i = 0; i < Block.blocksList.length; i++) {
             if (Block.blocksList[i] == null) continue;
             Item item = Block.blocksList[i].asItem();
             if (dispatches.containsKey(item)) continue;
-            if (!(item instanceof BlockItem)) continue;
-            addDispatch(new BlockItemModel((BlockItem) item));
+            if (!(item instanceof ItemBlock)) continue;
+            addDispatch(new ItemModelBlock((ItemBlock) item));
         }
     }
 }
diff --git a/src/main/java/net/minecraft/client/render/item/model/DoorPaintedItemModel.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelDoorPainted.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/item/model/DoorPaintedItemModel.java
rename to src/main/java/net/minecraft/client/render/item/model/ItemModelDoorPainted.java
index 8cb52f0af..a40772c34 100644
--- a/src/main/java/net/minecraft/client/render/item/model/DoorPaintedItemModel.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelDoorPainted.java
@@ -8,14 +8,14 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.DyeColor;
 import org.jetbrains.annotations.NotNull;
 
-public class DoorPaintedItemModel extends StandardItemModel {
+public class ItemModelDoorPainted extends ItemModelStandard {
     public static IconCoordinate[] doorIcons = new IconCoordinate[DyeColor.COLOR_AMOUNT];
     static {
         for (DyeColor c : DyeColor.itemOrderedColors()){
             doorIcons[c.itemMeta] = TextureRegistry.getTexture("minecraft:item/door_" + c.colorID);
         }
     }
-    public DoorPaintedItemModel(Item item) {
+    public ItemModelDoorPainted(Item item) {
         super(item, null);
     }
     public @NotNull IconCoordinate getIcon(Entity entity, ItemStack itemStack){
